Package org.eclipse.ecf.filetransfer.events

# Interface IIncomingFileTransferEvent

All Superinterfaces:
  `Event`, `IFileTransferEvent`

All Known Subinterfaces:
  `IIncomingFileTransferReceiveDataEvent`, `IIncomingFileTransferReceiveDoneEvent`, `IIncomingFileTransferReceivePausedEvent`, `IIncomingFileTransferReceiveResumedEvent`, `IIncomingFileTransferReceiveStartEvent`

public interface IIncomingFileTransferEvent extends IFileTransferEvent
Super interface for incoming file transfer events

## Method Summary

Modifier and Type
Method
Description
`IIncomingFileTransfer`
`getSource()`
Get `IIncomingFileTransfer` associated with this event

## Method Details

### getSource

IIncomingFileTransfer getSource()
Get `IIncomingFileTransfer` associated with this event

Returns:
  IIncomingFileTransfer that is source of this event. Will not be `null`.